#!/bin/sh

# To run the executable, you need the Mono runtime installed:
#     sudo apt-get install mono-runtime
# Try running the executable via Mono if it refuses to run on it's own:
#     mono Executable.exe
#
# To compile the executable yourself, you need the Mono compiler installed:
#     sudo apt-get install mono-complete

NAME=Map-Tool
SRC="Sources (C# with .NET 1.1)"
RES1="$SRC/Glow.MapForm.resources"
RES2="$SRC/Glow.MapConfigForm.resources"
EXE="${NAME}.Mono.exe"

resgen "$SRC/MapForm.resx" "$RES1"
resgen "$SRC/MapConfigForm.resx" "$RES2"
mcs "$SRC/MapForm.cs" -r:System.Data -r:System.Drawing -r:System.Windows.Forms -res:"$RES1" -res:"$RES2" -out:"$EXE"
rm "$RES1"
rm "$RES2"
chmod a+x "$EXE"
